# Command: GNUreadline

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GNUreadline - Read and edit a line from standard input

Synopsis:

    (prompt) GNUreadline -> (string) true
      -> false

Description:

    GNUreadline offers an interface to the GNU readline library.
      It offers	- line editing
     	- history browsing
     	- filename completion (with TAB)

Require:

    HAVE_READLINE

Remarks:

    If GNUreadline is executed with a number, the Interpreter is exited
      (in contrast to readline).

SeeAlso:

- readline
- GNUaddhistory

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/sli/gnureadline.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative